<?php

namespace Core;

final class Router
{
    public static function analizarUri()
    {
        $uri = htmlspecialchars(strip_tags((rtrim(substr($_SERVER['REQUEST_URI'], 1), '/'))));
        $uri = parse_url($uri);
        $uri = $uri['path'];
        $segmento = explode('/', $uri);
        $controlador = $segmento[1] ?? 'index';
        $metodo = $segmento[2] ?? 'index';
        $argumento = $segmento[3] ?? null;
        return [$controlador, $metodo, $argumento];
    }
}
